package javax.sql.rowset;

import java.util.Collection;
import javax.sql.RowSet;
import java.sql.SQLException;

public interface JoinRowSet extends WebRowSet
{
    public static final int CROSS_JOIN = 0;
    public static final int INNER_JOIN = 1;
    public static final int LEFT_OUTER_JOIN = 2;
    public static final int RIGHT_OUTER_JOIN = 3;
    public static final int FULL_JOIN = 4;
    
    public abstract void addRowSet(Joinable p0) throws SQLException;
    
    public abstract void addRowSet(RowSet p0, int p1) throws SQLException;
    
    public abstract void addRowSet(RowSet p0, String p1) throws SQLException;
    
    public abstract void addRowSet(RowSet[] p0, int[] p1) throws SQLException;
    
    public abstract void addRowSet(RowSet[] p0, String[] p1) throws SQLException;
    
    public abstract Collection<?> getRowSets() throws SQLException;
    
    public abstract String[] getRowSetNames() throws SQLException;
    
    public abstract CachedRowSet toCachedRowSet() throws SQLException;
    
    public abstract boolean supportsCrossJoin();
    
    public abstract boolean supportsInnerJoin();
    
    public abstract boolean supportsLeftOuterJoin();
    
    public abstract boolean supportsRightOuterJoin();
    
    public abstract boolean supportsFullJoin();
    
    public abstract void setJoinType(int p0) throws SQLException;
    
    public abstract String getWhereClause() throws SQLException;
    
    public abstract int getJoinType() throws SQLException;
}
